PropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.addcontent.PropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.addcontent
Class PropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.addcontent.PropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PropertiesForm

extends DashboardBaseForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PropertiesForm()`

Method Summary
`java.lang.String` | `getPortlet()` Getter for property portlet.
`boolean` | `isWide()` Getter for property wide.
`void` | `setPortlet(java.lang.String portlet)` Setter for property portlet.
`void` | `setWide(boolean wide)` Setter for property wide.
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, reset, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertiesForm

    public PropertiesForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### isWide

    public boolean isWide()

  Getter for property wide.

  Returns:
    Value of property wide.

### setWide

    public void setWide(boolean wide)

  Setter for property wide.

  Parameters:
    `wide` - New value of property wide.

### getPortlet

    public java.lang.String getPortlet()

  Getter for property portlet.

  Returns:
    Value of property portlet.

### setPortlet

    public void setPortlet(java.lang.String portlet)

  Setter for property portlet.

  Parameters:
    `portlet` - New value of property portlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.